---
title: Function.displayName
slug: Web/JavaScript/Reference/Global_Objects/Function/displayName
tags:
  - Function
  - JavaScript
  - Non-standard
  - Property
---
<div>{{JSRef}} {{non-standard_header}}</div>

<p>The <code><strong><em>function</em>.displayName</strong></code> property returns the display name of the function.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_a_displayName">Setting a displayName</h3>

<p>It is usually preferred by consoles and profilers over {{jsxref("Function.name", "func.name")}} to display the name of a function.</p>

<p>By entering the following in a console, it should display as something like "<code>function My Function()</code>":</p>

<pre class="brush: js">var a = function() {};
a.displayName = 'My Function';

a; // "function My Function()"</pre>

<p>When defined, the <code>displayName</code> property returns the display name of a function:</p>

<pre class="brush: js">function doSomething() {}

console.log(doSomething.displayName); // "undefined"

var popup = function(content) { console.log(content); };

popup.displayName = 'Show Popup';

console.log(popup.displayName); // "Show Popup"
</pre>

<h3 id="Defining_a_displayName_in_function_expressions">Defining a displayName in function expressions</h3>

<p>You can define a function with a display name in a {{jsxref("Functions", "function expression", "", 1)}}:</p>

<pre class="brush: js">var object = {
  someMethod: function() {}
};

object.someMethod.displayName = 'someMethod';

console.log(object.someMethod.displayName); // logs "someMethod"

try { someMethod } catch(e) { console.log(e); }
// ReferenceError: someMethod is not defined
</pre>

<h3 id="Changing_displayName_dynamically">Changing displayName dynamically</h3>

<p>You can dynamically change the <code>displayName</code> of a function:</p>

<pre class="brush: js">var object = {
  // anonymous
  someMethod: function(value) {
    arguments.callee.displayName = 'someMethod (' + value + ')';
  }
};

console.log(object.someMethod.displayName); // "undefined"

object.someMethod('123')
console.log(object.someMethod.displayName); // "someMethod (123)"
</pre>

<h2 id="Specifications">Specifications</h2>

<p><span class="pl-s">Not part of any standard.</span></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Function.displayName")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Function.name")}}</li>
</ul>
</div>
